cURL
curl --request PUT \
--url https://app.teable.ai/api/oauth/client/%7BclientId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"clientId":"string","name":"string","secrets":[{"id":"string","secret":"string","lastUsedTime":"string"}],"scopes":["string"],"logo":"http://example.com","homepage":"http://example.com","redirectUris":["http://example.com"]}'{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}oauth
Put oauthclient
Update an OAuth application
PUT
/
oauth
/
client
/
{clientId}
cURL
curl --request PUT \
--url https://app.teable.ai/api/oauth/client/%7BclientId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"clientId":"string","name":"string","secrets":[{"id":"string","secret":"string","lastUsedTime":"string"}],"scopes":["string"],"logo":"http://example.com","homepage":"http://example.com","redirectUris":["http://example.com"]}'{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
请求体
application/json
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

